Subject: Re: CVS client/server
From: [email-masked] (Jason Tishler)

27 Feb 1998 08:49:27 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Stephan Niemz <[email-masked]>
Cc: [email-masked]

Stephan Niemz wrote:
> Does anybody have a working CVS client/server under gnuwin32/coolview?
> 
>     I tried compiling CVS 1.9 myself as well as the binary cvs.exe
> (1.9.22) I found somewhere ... but when trying to checkout (or
> whatever) from the server, both only print a
> 
> ' from cvs serverng: unrecognized response`ok

I had exactly the same problem which is caused by NT's rsh mapping NL to
CRNL.  For more, information I refer you to:

    http://www.cygnus.com/ml/gnu-win32/1997-Oct/0804.html

After a few false starts, I was able to build a gnu-win32 version of
rsh.  Setting CVS_RSH to this version of rsh fixed the above problem.
Unfortunately, cvs operations were approximately 4 times slower than
the Cyclic native Win32 port of cvs.  I believe that the poor performance
can be traced to rsh's use of fork/exec.  Dejectedly I gave up and went
back to using the Cyclic version of cvs.

If interested I can send you precompiled versions of:

    cvs.exe (1.9.18)
    rsh.exe (from inetutils 1.3.1)

that are know to work (with a UNIX cvs server) but are slow.

Jason

-- 
Jason Tishler                        Phone: +1 (212) 989-4455 ext. 2120
Box Hill Systems Corporation         Fax:   +1 (212) 989-6817
161 Avenue of the Americas           Email: [email-masked]
New York, NY 10013 USA               WWW:   http://www.boxhill.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".